<?php
    
    use yii\db\Migration;
    
    class m170309_000001_feedback extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'feedback',
                [
                    'id'         => $this->primaryKey(),
                    'name'       => $this->string(255),
                    'email'      => $this->string(255),
                    'phone'      => $this->string(255),
                    'message'    => $this->text(),
                    'created_at' => $this->integer(32),
                    'ip'         => $this->string(255),
                    'url'        => $this->string(255),
                    'status'     => $this->boolean()
                                         ->notNull()
                                         ->defaultValue(false),
                ]
            );
        }
        
        public function safeDown()
        {
            $this->dropTable('feedback');
        }
    }
